#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif
#include <gnome.h>

#include "interface.h"
#include "support.h"
#define MAX_FILENAME 200


void read_conf(char *filename)
{
  FILE *input_file;
  gchar bufor[MAX_E];
  gchar buf_txt[MAX_FILENAME];
  gint i;

  
  strcpy(filename,getenv("HOME"));
  strcat(filename,"/.GTKsubtitler.conf");


  if((input_file=fopen(filename,"r"))!=NULL)
    {
      filename[0]=0;
      while(fscanf(input_file,"%c",&bufor[0])!=EOF)
	{
	  if(bufor[0]=='[')
	    {
	      i=1;
	      while(fscanf(input_file,"%c",&bufor[i])!=EOF && bufor[i++]!='\n')	;
	      bufor[--i]=0;
	      
	      i=0;
	      while(fscanf(input_file,"%c",&buf_txt[i])!=EOF && buf_txt[i++]!='\n');

	      buf_txt[--i]=0; 
	      
	      
	      if(strcmp(bufor,"[LANG_CURRENT_FILENAME]")==0)
		{
		  set_lang_interface(buf_txt);
		  strcpy(filename,buf_txt);
		  break;
		}

	      while(fscanf(input_file,"%c",&bufor[0])!=EOF && bufor[0]!='\n');

	    }
	  else
	    if (bufor[0]!='\n')
	      while(fscanf(input_file,"%c",&bufor[0])!=EOF && bufor[0]!='\n');
	}
    
      
      
      fclose(input_file);


    }    

  

}



int
main (int argc, char *argv[])
{


  GtkWidget *main_window;
  gchar filename[MAX_FILENAME];

 gnome_init ("GTKsubtitler", VERSION, argc, argv);



 read_conf(filename);
  if (filename[0]!=0)
    set_lang_callbacks(filename);
  read_conf_callbacks();

  main_window = create_main_window ();



    gtk_widget_show (main_window);
  set_mainwindow(main_window);
  gtk_main ();
  return 0;
}

